> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List account access services for an audit

> Retrieves connected account access services for an audit.

Returns the list of identity providers and access integrations (such as
Okta, Azure AD, Google Workspace, AWS IAM) that are connected to the
organization and provide account access data for personnel.

These integrations are used to verify user access and identity management
during an audit engagement.

Uses cursor-based pagination. To paginate:
1. Make initial request with desired `pageSize`
2. Check `results.pageInfo.hasNextPage`
3. Use `results.pageInfo.endCursor` as `pageCursor` for next request

Results are returned in connection order. Sort order is not guaranteed
and cannot be customized via query parameters.

Rate limit: 10 requests / minute.



## OpenAPI

````yaml https://spec.speakeasy.com/vanta/vanta/conduct-an-audit-with-code-samples get /audits/{auditId}/personnel/account-access/services
openapi: 3.0.0
info:
  title: Conduct an audit
  version: 1.0.0
  description: >-
    The Auditor API lets audit firms conduct audits from a tool outside of
    Vanta. Unlock data syncing with Vanta through this API.


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: US Region API
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /audits/{auditId}/personnel/account-access/services:
    get:
      tags:
        - Audits
      summary: List account access services for an audit
      description: >-
        Retrieves connected account access services for an audit.


        Returns the list of identity providers and access integrations (such as

        Okta, Azure AD, Google Workspace, AWS IAM) that are connected to the

        organization and provide account access data for personnel.


        These integrations are used to verify user access and identity
        management

        during an audit engagement.


        Uses cursor-based pagination. To paginate:

        1. Make initial request with desired `pageSize`

        2. Check `results.pageInfo.hasNextPage`

        3. Use `results.pageInfo.endCursor` as `pageCursor` for next request


        Results are returned in connection order. Sort order is not guaranteed

        and cannot be customized via query parameters.


        Rate limit: 10 requests / minute.
      operationId: ListAccountAccessServices
      parameters:
        - description: The audit ID
          in: path
          name: auditId
          required: true
          schema:
            type: string
        - description: Maximum number of results per page (1-100, default 10)
          in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - description: Pagination cursor from previous response
          in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
      responses:
        '200':
          description: Paginated list of connected account access services
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_AccountAccessService_'
              examples:
                Example 1:
                  value:
                    results:
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: null
                        endCursor: null
                      data:
                        - id: 68d17609e79bc56dbe798eac
                          credentialDisplayName: Okta - Production
                          subAccountId: null
                          service: okta
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: typescript
          label: ListAccountAccessServices
          source: |-
            import { Vanta } from "vanta-auditor-api-sdk";

            const vanta = new Vanta({
              bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
            });

            async function run() {
              const result = await vanta.audits.listAccountAccessServices({
                auditId: "<id>",
              });

              console.log(result);
            }

            run();
        - lang: java
          label: ListAccountAccessServices
          source: >-
            package hello.world;


            import com.vanta.vanta_auditor_api.Vanta;

            import
            com.vanta.vanta_auditor_api.models.operations.ListAccountAccessServicesResponse;

            import java.lang.Exception;


            public class Application {

                public static void main(String[] args) throws Exception {

                    Vanta sdk = Vanta.builder()
                            .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
                        .build();

                    ListAccountAccessServicesResponse res = sdk.audits().listAccountAccessServices()
                            .auditId("<id>")
                            .pageSize(10)
                            .call();

                    if (res.paginatedResponseAccountAccessService().isPresent()) {
                        System.out.println(res.paginatedResponseAccountAccessService().get());
                    }
                }
            }
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_AccountAccessService_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/AccountAccessService'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    AccountAccessService:
      description: >-
        An account access service (identity provider, access credential, or
        external application)

        connected to the organization.


        These represent credentials for integrations like Okta, Azure AD,

        Google Workspace, etc. that provide identity and access management

        data for personnel, as well as external applications that provide

        received user accounts.
      properties:
        id:
          type: string
          description: Unique identifier for the service.
          example: credential_abc123
        credentialDisplayName:
          type: string
          description: Display name of the service shown to users.
          example: Okta - Production
        service:
          type: string
          description: The service name or integration ID.
          example: okta
        subAccountId:
          type: string
          nullable: true
          description: >-
            Sub-account identifier for multi-account integrations, or null if
            not applicable.
          example: sub_account_456
      required:
        - id
        - credentialDisplayName
        - service
        - subAccountId
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````